PHP Manual
Prev |  | Next

# HaruDoc::setInfoAttr

(no version information, might be only in CVS)

HaruDoc::setInfoAttr -- Set the info attribute of the document

## Description

bool HaruDoc::setInfoAttr ( int type, string info )

Defines an info attribute. Uses the current encoding of the document.

## Parameters

`type`

  The type of the attribute. Can be one of the following:

  `HaruDoc::INFO_AUTHOR`
  `HaruDoc::INFO_CREATOR`
  `HaruDoc::INFO_TITLE`
  `HaruDoc::INFO_SUBJECT`
  `HaruDoc::INFO_KEYWORDS`

`info`

  The value of the attribute.

## Return Values

Returns `TRUE` on success.

## Errors/Exceptions

Throws HaruException on error.

## See Also

HaruDoc::setInfoDateAttr()

Prev | Home | Next
HaruDoc::setEncryptionMode | Up | HaruDoc::setInfoDateAttr